Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  ActivX Objekte in SWX-Teil

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   ActivX Objekte in SWX-Teil (197 mal gelesen)
rawo
Mitglied
technische Zeichnerin


Sehen Sie sich das Profil von rawo an!   Senden Sie eine Private Message an rawo  Schreiben Sie einen Gästebucheintrag für rawo

Beiträge: 1453
Registriert: 29.03.2001

-----------------------------------
Nichtstun macht nur Spass, wenn man eigentlich viel zu tun hätte. (Sir Coward)<P>Status: "Konfigurations-Junkie"

erstellt am: 11. Jan. 2018 08:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


ActiveX.jpg

 
Heute brauche ich auch mal wieder Eure Hilfe.
Ich habe ein Teil, das aus vielen Konfigurationen besteht und schon seit mind. 15 Jahren gewachsen ist.
Neuerdings bekomme ich beim Öffnen dieses Teils immer ein Fenster mit dem Hinweis:
"ActiveX-Objekte werden aktualisiert"
Was ist das und wie kann ich das abstellen?

------------------
Kein Mensch ist so beschäftigt, dass er nicht die Zeit hätte, jedem zu erzählen, wie beschäftig er ist.

SWX 2017 SP4 / DBWorks R16 SP 1.9
Office 2017
Windows 10 Pro 64 bit
Dell Precision T3600
Intel Xeon E5
16 Gb RAM
NVIDIA Quadro M2000
Space Pilot Pro

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HenryV
Mitglied
Konstrukteur, Engineering


Sehen Sie sich das Profil von HenryV an!   Senden Sie eine Private Message an HenryV  Schreiben Sie einen Gästebucheintrag für HenryV

Beiträge: 607
Registriert: 18.05.2005

SolidWorks 2016 x64 SP3.0
Dell T3600 Workstation
Intel XENON 6x3.2 GHz
NVIDIA Quadro 4000 2 GB
16GB RAM
2x Dell U2412M, 24" TFT
Windows 7 Professional x64 SP1
Microsoft Office Pro 2010 SP2
Kaspersky Anti-Virus 10.2.4.674
Microsoft VB 2010 Express
SpacePilot von 3Dconnexion

erstellt am: 11. Jan. 2018 09:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für rawo 10 Unities + Antwort hilfreich

Gemäss S-04781

Zitat:
The ActiveX update message is a Windows OLE message.  When an OLE object is placed in a drawing, part, etc, and linked, or when the file is moved to a new location, Windows automatically updates the link, resulting in the message “Updating ActiveX objects.”  Problems can arise if the file has been moved and the old location is no longer accessible. 

For example, a linked Excel table was moved from Server A to Server B.  If Server A is turned off or disabled, when the SolidWorks document is opened, Windows tries to ask Server A where the file has been moved to. If Server A is not running to tell it where it has moved, the search 'times out' or gives up looking.


[EDIT]
Hier noch ein Makro um alle Ole-Objekte aus einer SWX-Datei zu entfernen.

Code:
Sub main()
    Dim swApp                      As SldWorks.SldWorks
    Dim swModel                    As SldWorks.ModelDoc2
    Dim swModelDocExt              As SldWorks.ModelDocExtension
    Dim nOleCnt                    As Integer
    Dim vOleObjs                    As Variant
    Dim oleobjoptions              As Integer
    Dim swOleObj                    As SldWorks.SwOLEObject
    Dim i                          As Integer
    Dim bRet                        As Boolean
   
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    Set swModelDocExt = swModel.Extension
       
    swModel.ClearSelection2 True
   
    ' Count OLE items
    nOleCnt = swModelDocExt.GetOLEObjectCount(oleobjoptions)
    If 0 = nOleCnt Then Exit Sub
   
    ' Get OLE items
        vOleObjs = swModelDocExt.GetOLEObjects(oleobjoptions)
    ' Delete each OLE items
    For i = 0 To nOleCnt - 1
        Set swOleObj = vOleObjs(i)
        bRet = swOleObj.Select(True)
    Next i
   
    bRet = swModel.DeleteSelection(False)

End Sub


[/EDIT]


------------------
21 ist nur die halbe Antwort.

[Diese Nachricht wurde von HenryV am 11. Jan. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rawo
Mitglied
technische Zeichnerin


Sehen Sie sich das Profil von rawo an!   Senden Sie eine Private Message an rawo  Schreiben Sie einen Gästebucheintrag für rawo

Beiträge: 1453
Registriert: 29.03.2001

-----------------------------------
Nichtstun macht nur Spass, wenn man eigentlich viel zu tun hätte. (Sir Coward)<P>Status: "Konfigurations-Junkie"

erstellt am: 11. Jan. 2018 09:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

whow... Danke. Bin mir da zwar keiner Änderung bewußt, aber..
Nach Ausführen des Makros ist die Meldung weg.

Vielen, vielen DANK!!
 

------------------
Kein Mensch ist so beschäftigt, dass er nicht die Zeit hätte, jedem zu erzählen, wie beschäftig er ist.

SWX 2017 SP4 / DBWorks R16 SP 1.9
Office 2017
Windows 10 Pro 64 bit
Dell Precision T3600
Intel Xeon E5
16 Gb RAM
NVIDIA Quadro M2000
Space Pilot Pro

[Diese Nachricht wurde von rawo am 11. Jan. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de